Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1808130 (CVE-2020-1750) - CVE-2020-1750 machine-config-operator-container: mmap stressor makes the cluster unresponsive
Summary: CVE-2020-1750 machine-config-operator-container: mmap stressor makes the clus...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2020-1750
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1806786 1808138 1808139
Blocks: 1807756
TreeView+ depends on / blocked
 
Reported: 2020-02-27 21:50 UTC by Jason Shepherd
Modified: 2021-05-28 05:30 UTC (History)
8 users (show)

Fixed In Version: openshift/machine-config-operator 4.4.3, openshift/machine-config-operator 4.3.25, openshift/machine-config-operator 4.2.36
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in the machine-config-operator that causes an OpenShift node to become unresponsive when a container consumes a large amount of memory. An attacker could use this flaw to deny access to schedule new pods in the OpenShift cluster.
Clone Of:
Environment:
Last Closed: 2020-05-04 16:31:54 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:1939 0 None None None 2020-05-04 10:51:14 UTC
Red Hat Product Errata RHSA-2020:2439 0 None None None 2020-06-17 20:16:44 UTC
Red Hat Product Errata RHSA-2020:2595 0 None None None 2020-07-01 16:06:36 UTC

Description Jason Shepherd 2020-02-27 21:50:17 UTC
A flaw was found in machine-config-operator that causes an OpenShift node to become unresponsive when a container consumes a large amount of memory. An attacker can use this flaw to deny access to schedule new pods in the OpenShift cluster.

Upstream commit: https://github.com/openshift/machine-config-operator/pull/1450

Comment 4 Jason Shepherd 2020-03-01 20:41:01 UTC
Acknowledgments:

Name: Cheryl A Fillekes (IBM)

Comment 5 errata-xmlrpc 2020-05-04 10:51:12 UTC
This issue has been addressed in the following products:

  Red Hat OpenShift Container Platform 4.4

Via RHSA-2020:1939 https://access.redhat.com/errata/RHSA-2020:1939

Comment 6 Product Security DevOps Team 2020-05-04 16:31:54 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-1750

Comment 7 errata-xmlrpc 2020-06-17 20:16:42 UTC
This issue has been addressed in the following products:

  Red Hat OpenShift Container Platform 4.3

Via RHSA-2020:2439 https://access.redhat.com/errata/RHSA-2020:2439

Comment 8 errata-xmlrpc 2020-07-01 16:06:34 UTC
This issue has been addressed in the following products:

  Red Hat OpenShift Container Platform 4.2

Via RHSA-2020:2595 https://access.redhat.com/errata/RHSA-2020:2595


Note You need to log in before you can comment on or make changes to this bug.